WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

WP-Appbox

Via Shortcode schnell und einfach App-Details von Apps aus einer Reihe an App Stores in Artikeln oder Seiten anzeigen.

Gibt es Vorraussetzungen für den Server?

Ja: Der Server muss mindestens auf PHP 5.3 laufen und cURL, sowie mb_eregi unterstützen.

Kann man die Ausgabe anpassen?

Ja - sämtliche Ausgabeelemente können mittels HTML und CSS nach belieben angepasst werden.

Wieso werden die QR-Codes von 400x400 Pixel runterskaliert?

Der QR-Code-Generator von Google hat eine kleine Eigenheit, dass die QR-Codes nur im gesamten auf die fixe Größe erstellt werden - je kürzer die URL ist, desto kleiner wird der Code und desto höher ist der Wert "margin". Dies lässt sich derzeit auch mit einer "margin=0" Angabe nicht korrigieren. Ob es ein Feature oder ein Bug ist wird in den Google Groups diskutiert.

Ich bekomme keine App-Icons aus dem (Mac) App Store angezeigt

Das Setzen des Häkchen "Kompabilitätsmodus für App-Icons aus dem (Mac) App Store" in den Einstellungen unter "Fehlerbehebung" sollte das Problem lösen.

Der Google-App-Badge liefert einen Bot-Fehler

Google erkennt aufgrund zu vieler Anfragen den Server als Bot und sperrt die Seite. Derzeit wird ein Fallback-Badge angezeigt, ich arbeite aber an einer Lösung, das Problem mittels Captcha-Eingabe zu umgehen.

Der Chrome Web Store zeigt nur den ersten Screenshots

"Soll so sein" und lässt sich (zum derzeitigen Stand) leider auch nicht anders lösen, da Google die restlichen Screenshots dynamisch nachlädt.

Wie kann ich eigene Templates nutzen?

Wollt ihr eigene Templates zur Ausgabe der Appbox nutzen, reicht es aus, vier Dateien im Theme-Ordner zu erstellen: "wpappbox-simple.php", "wpappbox-screenshots.php", "wpappbox-compact.php" und "wpappbox-screenshots-only.php". Wahlweise können diese auch ohne den Prefix im Ordner "wpappbox" liegen. [Mehr Infos gibt es hier](https://tchgdns.de/wp-appbox-3-2-0/ "WP-Appbox 3.2.0")

Requires: 3.4 or higher
Compatible up to: 4.6.2
Last Updated: 2 months ago
Active Installs: 4,000+

Ratings

4.5 out of 5 stars

Support

3 of 6 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,2,2
100,1,1 100,1,1 50,2,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
100,1,1 100,1,1
0,1,0
0,1,0
100,1,1
0,1,0
100,1,1
100,1,1
100,1,1
0,1,0
100,2,2 100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
100,2,2 100,1,1 100,1,1